Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.validator.impl
Class TimeStampValidatorImpl

    java.lang.Object
      be.ehealth.technicalconnector.validator.impl.TimeStampValidatorImpl

All Implemented Interfaces:
  ConfigurableImplementation, TimeStampValidator

    public class TimeStampValidatorImpl

extends Object
implements TimeStampValidator, ConfigurableImplementation

implements the `TimeStampValidator`. it retrieves the keystore and validates the timestamp.

Field Summary

Fields inherited from interface be.ehealth.technicalconnector.validator.TimeStampValidator
`ALIASLIST, KEYSTORE`

Constructor Summary
`TimeStampValidatorImpl()`

Method Summary
`void` | `initialize(Map<String,Object> parameterMap)` initializes the implementation with additional parameters.
`void` | `setAliases(List<String> aliases)` aliases must be set before using the validator.
`void` | `setKeyStore(KeyStore keyStore)` keystore must be set before using the validator.
`void` | `validateTimeStampToken(byte[] bs, org.bouncycastle.tsp.TimeStampToken tsToken)` validates the timestamp token. will throw `InvalidTimeStampException` if the timestamp is not valid
`void` | `validateTimeStampToken(org.bouncycastle.tsp.TimeStampToken tsToken)` validates the timestamp token. will throw `InvalidTimeStampException` if the timestamp is not valid

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimeStampValidatorImpl

    public TimeStampValidatorImpl()

Method Detail

### validateTimeStampToken

    public void validateTimeStampToken(byte[] bs,
                                       org.bouncycastle.tsp.TimeStampToken tsToken)
                                throws InvalidTimeStampException,
                                       TechnicalConnectorException

  Description copied from interface: `TimeStampValidator`
  validates the timestamp token. will throw `InvalidTimeStampException` if the timestamp is not valid

  Specified by:
    `validateTimeStampToken` in interface `TimeStampValidator`
    `tsToken` - the `TimeStampToken`
  Throws:
    `TechnicalConnectorException` - if an exception occurs thats not caused by invalid timestamp
    `InvalidTimeStampException` - if the timestamp was not valid
  See Also:
    `TimeStampValidator.validateTimeStampToken(byte[], TimeStampToken)`

### validateTimeStampToken

    public void validateTimeStampToken(org.bouncycastle.tsp.TimeStampToken tsToken)
                                throws InvalidTimeStampException,
                                       TechnicalConnectorException

  Description copied from interface: `TimeStampValidator`
  validates the timestamp token. will throw `InvalidTimeStampException` if the timestamp is not valid

  Specified by:
    `validateTimeStampToken` in interface `TimeStampValidator`
  Parameters:
    `tsToken` - the `TimeStampToken`
  Throws:
    `TechnicalConnectorException` - if an exception occurs thats not caused by invalid timestamp
    `InvalidTimeStampException` - if the timestamp was not valid
  See Also:
    `TimeStampValidator.validateTimeStampToken(TimeStampToken)`

### initialize

    public void initialize(Map<String,Object> parameterMap)
                    throws TechnicalConnectorException

  Description copied from interface: `ConfigurableImplementation`
  initializes the implementation with additional parameters.

  Specified by:
    `initialize` in interface `ConfigurableImplementation`
  Parameters:
    `parameterMap` - Map with for each propertyString ,the input parameter as Object.
  Throws:
    `TechnicalConnectorException` - if the parameterMap is not correct.

### setKeyStore

    public void setKeyStore(KeyStore keyStore)

  Description copied from interface: `TimeStampValidator`
  keystore must be set before using the validator.

  Specified by:
    `setKeyStore` in interface `TimeStampValidator`

### setAliases

    public void setAliases(List<String> aliases)

  Description copied from interface: `TimeStampValidator`
  aliases must be set before using the validator.

  Specified by:
    `setAliases` in interface `TimeStampValidator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSDIETICIAN 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.